/*
 *
 *  * Copyright 2015 Skymind,Inc.
 *  *
 *  *    Licensed under the Apache License, Version 2.0 (the "License");
 *  *    you may not use this file except in compliance with the License.
 *  *    You may obtain a copy of the License at
 *  *
 *  *        http://www.apache.org/licenses/LICENSE-2.0
 *  *
 *  *    Unless required by applicable law or agreed to in writing, software
 *  *    distributed under the License is distributed on an "AS IS" BASIS,
 *  *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  *    See the License for the specific language governing permissions and
 *  *    limitations under the License.
 *
 */

package org.deeplearning4j.cli.api.schemes;

import org.deeplearning4j.cli.files.FileScheme;

/**
 * Scheme selector
 * @author sonali
 */
public class Schemes {
    /**
     * Selects appropriate Scheme for reading/writing data
     * @param scheme
     * @return Scheme
     */

    public static Scheme getScheme(String scheme) {
        switch(scheme) {
            case "file" : return new FileScheme();
            default: throw new IllegalArgumentException("Unknown scheme " + scheme);
        }
    }

}
